- [HTTP request](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/verify.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/verify.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/verify.md.txt#body.request_body)
  - [JSON representation](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/verify.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/verify.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/verify.md.txt#body.VerifyLocationResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/verify.md.txt#body.aspect)
- [VerificationToken](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/verify.md.txt#VerificationToken)
  - [JSON representation](https://developers.google.com/my-business/reference/verifications/rest/v1/locations/verify.md.txt#VerificationToken.SCHEMA_REPRESENTATION)

Starts the verification process for a location.

### HTTP request

`POST https://mybusinessverifications.googleapis.com/v1/{name=locations/*}:verify`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name of the location to verify. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "method": enum (`VerificationMethod`), "languageCode": string, "context": { object (`ServiceBusinessContext`) }, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "emailAddress": string, "mailerContact": string, "phoneNumber": string, "token": { object (`VerificationToken`) }, "trustedPartnerToken": string // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `method` | ``enum (`VerificationMethod`)`` Required. Verification method. |
| `languageCode` | `string` Optional. The BCP 47 language code representing the language that is to be used for the verification process. |
| `context` | ``object (`ServiceBusinessContext`)`` Optional. Extra context information for the verification of service businesses. It is only required for the locations whose business type is CUSTOMER_LOCATION_ONLY. For ADDRESS verification, the address will be used to send out postcard. For other methods, it should be the same as the one that is passed to GetVerificationOptions. INVALID_ARGUMENT will be thrown if it is set for other types of business locations. |
| User input data for specific method in addition to the display data. The data must match the requested method. Leave it empty if no data is needed. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `emailAddress` | `string` Optional. The input for EMAIL method. Email address where the PIN should be sent to. An email address is accepted only if it is one of the addresses provided by locations.fetchVerificationOptions. If the \[EmailVerificationData\] \[google.mybusiness-verifications.v1.VerificationOption.EmailVerificationData\] has isUserNameEditable set to true, the client may specify a different user name (local-part) but must match the domain name. |
| `mailerContact` | `string` Optional. The input for ADDRESS method. Contact name the mail should be sent to. |
| `phoneNumber` | `string` Optional. The input for PHONE_CALL/SMS method The phone number that should be called or be sent SMS to. It must be one of the phone numbers in the eligible options. |
| `token` | ``object (`VerificationToken`)`` Optional. The input for VETTED_PARTNER method available to select [partners.](https://support.google.com/business/answer/7674102) The input is not needed for a vetted account. Token that is associated to the location. Token that is associated to the location. |
| `trustedPartnerToken` | `string` The input for TRUSTED_PARTNER method The verification token that is associated to the location. |
| End of mutually exclusive fields. ||

### Response body

Response message for Verifications.VerifyLocation.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "verification": { object (`Verification`) } } ``` |

| Fields ||
|---|---|
| `verification` | ``object (`Verification`)`` The created verification request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## VerificationToken

Token generated by a vetted [partner](https://support.google.com/business/answer/7674102).

| JSON representation |
|---|
| ``` { "tokenString": string } ``` |

| Fields ||
|---|---|
| `tokenString` | `string` The token string. |